package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.TSSDEngineMapper;
import com.sa.ibiz.demo.demo.domain.TSSDEngine;
import com.sa.ibiz.demo.demo.service.TSSDEngineService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.TSSDEngineSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[TSSDEngine] 服务对象接口实现
 */
@Service
public class TSSDEngineServiceImpl extends ServiceImplBase<TSSDEngineMapper, TSSDEngine> implements TSSDEngineService{


    @Resource
    private TSSDEngineMapper tssdengineMapper;


    @Override
    public boolean create(TSSDEngine et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(TSSDEngine et){
        this.beforeUpdate(et);
		this.tssdengineMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(TSSDEngine et){
		return et.getTssdengineid();  
    }

    @Override
    public boolean getDraft(TSSDEngine et)  {
            return true;
    }

	public List<TSSDEngine> listDefault(TSSDEngineSearchFilter filter) {
		return tssdengineMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<TSSDEngine> searchDefault(TSSDEngineSearchFilter filter) {
		return tssdengineMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return tssdengineMapper.selectRow(sql);
    }

 }